Get user's position in leaderboard
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/integration/leaderboards/{configId}/position \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/integration/leaderboards/{configId}/position"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/integration/leaderboards/{configId}/position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"position": 123,
"totalParticipants": 123,
"userScore": 123,
"currentWeekActiveDays": 1
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Leaderboards
Get user's position in leaderboard
Retrieves the authenticated user’s position and score in the specified leaderboard
GET
/
leaderboards
/
{configId}
/
position
Get user's position in leaderboard
Authorizations
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Query Parameters
Response
Successful response
The current user's position and stats on a leaderboard
The user's current rank/position on the leaderboard
The total number of participants in the leaderboard
The user's current score on the leaderboard
Active days in the current campaign week for Consistent Weeks leaderboards
Required range:
0 <= x <= 3Was this page helpful?
⌘I

